Subject: bug#7362: dd strangeness

From: Pádraig Brady <[email-masked]>
Date: Thu, 11 Nov 2010 01:19:01 +0000

On 10/11/10 18:56, Paul Eggert wrote:
> On 11/10/10 08:07, Pádraig Brady wrote:
> 
>> BTW here are my notes on some possible changes in this area:
>>
>>   `dd conv=sync` seems to do the wrong thing with pipes.
>>   I.E. it pads out short reads. Why would one ever want that?
> 
> Nobody ever wants it but (as you note) it's required by the
> standard.
> 
>>   Should sync for pipes imply fullblock?
> 
> I think that would be a good idea, but it should be done only
> if POSIXLY_CORRECT is not set, since it contradicts the standard.
> 
>>   Should sync for pipes without fullblock give a warning?
> 
> I would say "no".  If POSIXLY_CORRECT, the warning would arguably
> violate the standard.  If not, there's no need for a warning.

Agreed on all the above.

> 
>>   Should specifying a count (and bs I suppose) without fullblock
>>   when reading from pipes give a warning?
> 
> No, for the same reason.

Or maybe give the warning when POSIXLY_CORRECT was not set?

> 
> Do you have time to implement this change?  If not, I suppose
> I could look into it.  It shouldn't be that hard.  The hardest
> part would be the documentation.
> 
> Regardless of whether we make such a change, we should document
> the issue, as this is a common problem.

I'll look into it at some stage but not soon.
Feel free do it if you like.

cheers,
Pádraig.